<?php
$title = 'Пользователи';
require_once ('system/function.php');
require_once ('system/header.php');
if(!$user['id']) {
header('Location: '.$HOME.'');
exit();
}
switch($_GET['act']) {
default:
echo '<div class="menu">'.$title.'</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$users = mysql_query("SELECT * FROM `users` ORDER BY `id` LIMIT $start, $max");
while($a = mysql_fetch_assoc($users))
{
echo '<div class="links">'.nick($a['id']).' [ID: '.$a['id'].']</div>


<div class="podmenu">Зарегистрирован: ('.vremja($a['datareg']).')</div>';
}

if ($k_page>1) echo str('/user.php?',$k_page,$page); // Вывод страниц

break;
case 'online':

echo '<div class="menu"><a href="'.$HOME.'/user.php">'.$title.'</a> | Сейчас онлайн</div>';


if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `viz` > '".(time()-360)."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$users = mysql_query("SELECT * FROM `users` where `viz` > '".(time()-360)."' ORDER BY `viz` DESC LIMIT $start, $max");
while($a = mysql_fetch_assoc($users))
{
echo '<div class="links">'.nick($a['id']).'</div>


<div class="podmenu">Последний визит: '.vremja($a['viz']).'</div>';
}

if ($k_page>1)echo str('/online.php?',$k_page,$page); // Вывод страниц

break;
case 'adm':

echo '<div class="menu"><a href="'.$HOME.'/user.php">'.$title.'</a> | Администрация сайта</div>';


if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `level` >= '1' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$users = mysql_query("SELECT * FROM `users` where `level` >= '1' ORDER BY `viz` DESC LIMIT $start, $max");
while($a = mysql_fetch_assoc($users))
{



echo '<div class="links">'.nick($a['id']).'</div>
<div class="podmenu">Последний визит: '.vremja($a['viz']).'</div>';
}

if ($k_page>1)echo str('/administration.php?',$k_page,$page); // Вывод страниц

break;
}

//-----Подключаем низ-----//
require_once ('system/footer.php');
?>